#language: ru

@tma

Функционал: 007. Tma. Утверждение бюджета

Сценарий: 007.1. Tma. Утверждение бюджета

	Дано Я подключаюсь под "Администратор"
	Дано я удаляю объекты "Документы.к2УтверждениеБюджета" без контроля ссылок
	И В командном интерфейсе я выбираю 'Маркетинг и продажи' 'Утверждения бюджетов'
	Тогда открылось окно 'Утверждения бюджетов'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Утверждение бюджета (создание)'
	И из выпадающего списка "Сценарий планирования" я выбираю по строке 'Сценарий плана продаж (месяц)'
	И в поле 'от' я ввожу текст '10.01.2019  0:00:00'
	И я заполняю таблицу "Бюджеты" данными
		| 'Месяц'      | 'Группа партнеров' | 'Товарная категория' | 'Статья'              | '%'     | 'Итого'      |
		| '01.06.2019' | 'Лента'            | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '15,00' | '10 000,000' |
		| '01.06.2019' | 'Лента'            | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '15,00' | '10 000,000' |
		| '01.06.2019' | 'Магнит'           | 'Рассольные сыры'    | 'Статья бюджета(ТМА)' | '15,00' | '10 000,000' |
		| '01.06.2019' | 'Магнит'           | 'Плавленые сыры'     | 'Статья бюджета(ТМА)' | '15,00' | '10 000,000' |
	Тогда таблица "Бюджеты" стала равной:
		| 'Месяц'      | 'Группа партнеров' | 'Товарная категория' | 'План' | 'Статья'              | '%' | 'Итого'      |
		| '01.06.2019' | 'Лента'            | 'Рассольные сыры'    | ''     | 'Статья бюджета(ТМА)' | ''  | '10 000,000' |
		| '01.06.2019' | 'Лента'            | 'Плавленые сыры'     | ''     | 'Статья бюджета(ТМА)' | ''  | '10 000,000' |
		| '01.06.2019' | 'Магнит'           | 'Рассольные сыры'    | ''     | 'Статья бюджета(ТМА)' | ''  | '10 000,000' |
		| '01.06.2019' | 'Магнит'           | 'Плавленые сыры'     | ''     | 'Статья бюджета(ТМА)' | ''  | '10 000,000' |
	И в таблице "Бюджеты" я нажимаю на кнопку 'По плану продаж'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Да'
	Тогда открылось окно 'План продаж'
	И в таблице "Список" я перехожу к строке:
		| 'Период планирования' | 'Сценарий'                      | 'Настройки планирования' |
		| '2019 Июнь'           | 'Сценарий плана продаж (месяц)' | 'Настройки планирования' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Утверждение бюджета (создание) *'
	И Я указываю статью бюджета "Статья бюджета(ТМА)" для группы партнеров "Лента" и товарной категории "Рассольные сыры"
	И Я указываю статью бюджета "Статья бюджета(ТМА)" для группы партнеров "Магнит" и товарной категории "Рассольные сыры"
	И Я указываю статью бюджета "Статья бюджета(ТМА)" для группы партнеров "Лента" и товарной категории "Плавленые сыры"
	И Я указываю статью бюджета "Статья бюджета(ТМА)" для группы партнеров "Магнит" и товарной категории "Плавленые сыры"
	И в таблице "Бюджеты" я нажимаю на кнопку 'По табличной части'
	Тогда таблица "Бюджеты" стала равной:
		| 'Месяц'      | 'Группа партнеров' | 'Товарная категория' | 'План'        | 'Статья'              | '%' | 'Итого'     |
		| '01.06.2019' | 'Лента'            | 'Рассольные сыры'    | '100 000,000' | 'Статья бюджета(ТМА)' | '8' | '8 000,000' |
		| '01.06.2019' | 'Магнит'           | 'Рассольные сыры'    | '80 000,000'  | 'Статья бюджета(ТМА)' | '8' | '6 400,000' |
		| '01.06.2019' | 'Лента'            | 'Плавленые сыры'     | '100 000,000' | 'Статья бюджета(ТМА)' | '8' | '8 000,000' |
		| '01.06.2019' | 'Магнит'           | 'Плавленые сыры'     | '80 000,000'  | 'Статья бюджета(ТМА)' | '8' | '6 400,000' |
	И из выпадающего списка "Сценарий планирования" я выбираю по строке 'Сценарий для годового плана продаж'
	И в таблице "Бюджеты" я нажимаю на кнопку 'По табличной части'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Да'
	Тогда открылось окно 'Утверждение бюджета (создание) *'
	Тогда таблица "Бюджеты" стала равной:
		| 'Месяц'      | 'Группа партнеров' | 'Товарная категория' | 'План'        | 'Статья'              | '%'  | 'Итого'      |
		| '01.06.2019' | 'Лента'            | 'Рассольные сыры'    | '120 000,000' | 'Статья бюджета(ТМА)' | '10' | '12 000,000' |
		| '01.06.2019' | 'Магнит'           | 'Рассольные сыры'    | '100 000,000' | 'Статья бюджета(ТМА)' | '10' | '10 000,000' |
		| '01.06.2019' | 'Лента'            | 'Плавленые сыры'     | '150 000,000' | 'Статья бюджета(ТМА)' | '10' | '15 000,000' |
		| '01.06.2019' | 'Магнит'           | 'Плавленые сыры'     | '150 000,000' | 'Статья бюджета(ТМА)' | '10' | '15 000,000' |
	И в таблице "Бюджеты" я перехожу к строке:
		| 'Группа партнеров' | 'Товарная категория' |
		| 'Лента'            | 'Рассольные сыры'    |
	И в таблице "Бюджеты" в поле 'Итого' я ввожу текст '30 000,000'
	И в таблице "Бюджеты" я завершаю редактирование строки
	И в таблице "Бюджеты" я перехожу к строке:
		| 'Группа партнеров' | 'Товарная категория' |
		| 'Магнит'           | 'Рассольные сыры'    |
	И в таблице "Бюджеты" в поле 'Итого' я ввожу текст '20 000,000'
	И в таблице "Бюджеты" я завершаю редактирование строки
	И в таблице "Бюджеты" я перехожу к строке:
		| 'Группа партнеров' | 'Товарная категория' |
		| 'Лента'            | 'Плавленые сыры'     |
	И в таблице "Бюджеты" в поле 'Итого' я ввожу текст '30 000,000'
	И в таблице "Бюджеты" я завершаю редактирование строки
	И в таблице "Бюджеты" я перехожу к строке:
		| 'Группа партнеров' | 'Товарная категория' |
		| 'Магнит'           | 'Плавленые сыры'     |
	И в таблице "Бюджеты" в поле 'Итого' я ввожу текст '30 000,000'
	И в таблице "Бюджеты" я завершаю редактирование строки
	Тогда таблица "Бюджеты" стала равной:
		| 'Месяц'      | 'Группа партнеров' | 'Товарная категория' | 'План'        | 'Статья'              | '%'  | 'Итого'      |
		| '01.06.2019' | 'Лента'            | 'Рассольные сыры'    | '120 000,000' | 'Статья бюджета(ТМА)' | '25' | '30 000,000' |
		| '01.06.2019' | 'Магнит'           | 'Рассольные сыры'    | '100 000,000' | 'Статья бюджета(ТМА)' | '20' | '20 000,000' |
		| '01.06.2019' | 'Лента'            | 'Плавленые сыры'     | '150 000,000' | 'Статья бюджета(ТМА)' | '20' | '30 000,000' |
		| '01.06.2019' | 'Магнит'           | 'Плавленые сыры'     | '150 000,000' | 'Статья бюджета(ТМА)' | '20' | '30 000,000' |
	И я нажимаю на кнопку 'Провести'
	Тогда открылось окно 'Утверждение бюджета * от *'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Утверждение бюджета * от *' в течение 20 секунд
	Тогда открылось окно 'Утверждения бюджетов'
	И Я закрываю окно 'Утверждения бюджетов'

Сценарий: 007.2. Tma. Завершение

	И Я закрыл все окна клиентского приложения